﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-CarRental.Web-87ef4a37-5280-4528-b83b-02f6064ba764</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <None Include="wwwroot\assets\fonts\flaticon\font\Flaticon.svg" />
    <None Include="wwwroot\assets\fonts\flaticon\font\Flaticon.woff2" />
    <None Include="wwwroot\assets\fonts\flaticon\font\_flaticon.scss" />
    <None Include="wwwroot\assets\fonts\flaticon\license\license.pdf" />
    <None Include="wwwroot\assets\fonts\icomoon\icomoon.svg" />
    <None Include="wwwroot\assets\fonts\ionicons\css\_ionicons.scss" />
    <None Include="wwwroot\assets\fonts\ionicons\fonts\ionicons.svg" />
    <None Include="wwwroot\assets\fonts\ionicons\fonts\ionicons.woff2" />
    <None Include="wwwroot\assets\fonts\open-iconic\open-iconic.svg" />
    <None Include="wwwroot\assets\js\aos.js" />
    <None Include="wwwroot\assets\js\bootstrap-datepicker.js" />
    <None Include="wwwroot\assets\js\bootstrap.min.js" />
    <None Include="wwwroot\assets\js\google-map.js" />
    <None Include="wwwroot\assets\js\jquery-3.2.1.min.js" />
    <None Include="wwwroot\assets\js\jquery-migrate-3.0.1.min.js" />
    <None Include="wwwroot\assets\js\jquery.animateNumber.min.js" />
    <None Include="wwwroot\assets\js\jquery.easing.1.3.js" />
    <None Include="wwwroot\assets\js\jquery.magnific-popup.min.js" />
    <None Include="wwwroot\assets\js\jquery.min.js" />
    <None Include="wwwroot\assets\js\jquery.stellar.min.js" />
    <None Include="wwwroot\assets\js\jquery.timepicker.min.js" />
    <None Include="wwwroot\assets\js\jquery.waypoints.min.js" />
    <None Include="wwwroot\assets\js\list-grid-view.js" />
    <None Include="wwwroot\assets\js\login.js" />
    <None Include="wwwroot\assets\js\main.js" />
    <None Include="wwwroot\assets\js\owl.carousel.min.js" />
    <None Include="wwwroot\assets\js\popper.min.js" />
    <None Include="wwwroot\assets\js\range.js" />
    <None Include="wwwroot\assets\js\scrollax.min.js" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="12.0.1" />
    <PackageReference Include="AutoMapper.Collection" Version="9.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="6.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="6.0.21" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="6.0.21" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="6.0.21" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="6.0.21" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.21">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.16" />
    <PackageReference Include="NToastNotify" Version="6.0.1" />
    <PackageReference Include="X.PagedList.Mvc.Core" Version="8.0.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CarRental.Core\CarRental.Core.csproj" />
    <ProjectReference Include="..\CarRental.DataAccess\CarRental.DataAccess.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\Accounts\Views\Shared\" />
    <Folder Include="Areas\CarOwner\Data\" />
    <Folder Include="Areas\CarOwner\Models\" />
    <Folder Include="Areas\Customer\Data\" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="ExcelFiles\Addresses_Value_list.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="ExcelFiles\Car Rentals_Value list_Brand and model.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="ExcelFiles\Car Rentals_Value list_Color.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties wwwroot_4lib_4bootstrap_4dist_4css_4bootstrap-grid_1css_1map__JsonSchema="" /></VisualStudio></ProjectExtensions>

</Project>
